CalryOTA Docs
Promotions

Unassign all integration account listings from promotion

Unassigns all listings from an integration account from a promotion

DELETE
/api/v1/promotions/{id}/integration-account/unassign

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

ID of the promotion to unassign listings from

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to promotions and their associated listings. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X DELETE "https://example.com/api/v1/promotions/123e4567-e89b-12d3-a456-426614174000/integration-account/unassign" \  -H "Content-Type: application/json" \  -d '{    "integrationAccountIDs": [      "123e4567-e89b-12d3-a456-426614174000",      "223e4567-e89b-12d3-a456-426614174000"    ]  }'
"Unassigned 15 listings from promotion 123e4567-e89b-12d3-a456-426614174000"
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty